Package org.jcsp.net

# Class ReaderIndexException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.jcsp.net.ReaderIndexException

All Implemented Interfaces:
  `Serializable`

public class ReaderIndexException extends RuntimeException
An exception that is thrown if data is written to a `Networked` `ChannelOutput` and the destination address is incorrect.

Author:
  Quickstone Technologies Limited
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ReaderIndexException()`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReaderIndexException

public ReaderIndexException()